Loading...
Searching...
No Matches
casacore::IBMConversion Class Reference
casa package (libcasa_casa) » OS_module

More...

`#include <IBMConversion.h>`

## Static Public Member Functions

static void | toLocal (char &to, const void *from)
| Convert one value from IBM format to local format.
static void | toLocal (unsigned char &to, const void *from)
static void | toLocal (short &to, const void *from)
static void | toLocal (unsigned short &to, const void *from)
static void | toLocal (int &to, const void *from)
static void | toLocal (unsigned int &to, const void *from)
static void | toLocal (Int64 &to, const void *from)
static void | toLocal (uInt64 &to, const void *from)
static void | toLocal (float &to, const void *from)
static void | toLocal (double &to, const void *from)
static void | toLocal (char *to, const void *from, size_t nr)
| Convert nr values from IBM format to local format.
static void | toLocal (unsigned char *to, const void *from, size_t nr)
static void | toLocal (short *to, const void *from, size_t nr)
static void | toLocal (unsigned short *to, const void *from, size_t nr)
static void | toLocal (int *to, const void *from, size_t nr)
static void | toLocal (unsigned int *to, const void *from, size_t nr)
static void | toLocal (Int64 *to, const void *from, size_t nr)
static void | toLocal (uInt64 *to, const void *from, size_t nr)
static void | toLocal (float *to, const void *from, size_t nr)
static void | toLocal (double *to, const void *from, size_t nr)
static void | fromLocal (void *to, char from)
| Convert one value from local format to IBM format.
static void | fromLocal (void *to, unsigned char from)
static void | fromLocal (void *to, short from)
static void | fromLocal (void *to, unsigned short from)
static void | fromLocal (void *to, int from)
static void | fromLocal (void *to, unsigned int from)
static void | fromLocal (void *to, Int64 from)
static void | fromLocal (void *to, uInt64 from)
static void | fromLocal (void *to, float from)
static void | fromLocal (void *to, double from)
static void | fromLocal (void *to, const char *from, size_t nr)
| Convert nr values from local format to IBM format.
static void | fromLocal (void *to, const unsigned char *from, size_t nr)
static void | fromLocal (void *to, const short *from, size_t nr)
static void | fromLocal (void *to, const unsigned short *from, size_t nr)
static void | fromLocal (void *to, const int *from, size_t nr)
static void | fromLocal (void *to, const unsigned int *from, size_t nr)
static void | fromLocal (void *to, const Int64 *from, size_t nr)
static void | fromLocal (void *to, const uInt64 *from, size_t nr)
static void | fromLocal (void *to, const float *from, size_t nr)
static void | fromLocal (void *to, const double *from, size_t nr)

## Private Member Functions

| IBMConversion ()
| This class should not be constructed (so declare the constructor private).

## Detailed Description

A class with static functions to convert IBM format

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1996/11/06
Test programs:
  tIBMConversion

### Synopsis

This class contains static toLocal functions to convert data from IBM-360 format to local format and vice-versa. It also handles the conversion of the IBM EBCDIC characters to ASCII characters (for data type char).

The functions work well on big-endian as well as little-endian machines.

### Motivation

Archived WSRT data can be stored in the old IBM format (EBCDIC characters and floats with base 16). Conversion functions are needed to read these data.

### To Do

- Support data type long double.

Definition at line 78 of file IBMConversion.h.

## Constructor & Destructor Documentation

## IBMConversion()

casacore::IBMConversion::IBMConversion | ( |  | ) |

private

This class should not be constructed (so declare the constructor private).

## Member Function Documentation

## fromLocal() [1/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | char | from )

static

Convert one value from local format to IBM format.

The from and to buffer should not overlap.
Note: The char version converts from ASCII to EBCDIC, while the unsigned char version is a simple copy;

Referenced by fromLocal(), and fromLocal().

## fromLocal() [2/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const char * | from,
|  | size_t | nr )

static

Convert nr values from local format to IBM format.

The from and to buffer should not overlap.
Note: The char version converts from ASCII to EBCDIC, while the unsigned char version is a simple copy;

## fromLocal() [3/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const double * | from,
|  | size_t | nr )

static

## fromLocal() [4/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const float * | from,
|  | size_t | nr )

static

## fromLocal() [5/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const int * | from,
|  | size_t | nr )

inline static

Definition at line 351 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [6/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const Int64 * | from,
|  | size_t | nr )

static

## fromLocal() [7/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const short * | from,
|  | size_t | nr )

inline static

Definition at line 339 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [8/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const uInt64 * | from,
|  | size_t | nr )

static

## fromLocal() [9/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const unsigned char * | from,
|  | size_t | nr )

inline static

Definition at line 333 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [10/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const unsigned int * | from,
|  | size_t | nr )

inline static

Definition at line 357 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [11/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | const unsigned short * | from,
|  | size_t | nr )

inline static

Definition at line 345 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [12/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | double | from )

inline static

Definition at line 327 of file IBMConversion.h.

References fromLocal().

## fromLocal() [13/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | float | from )

inline static

Definition at line 322 of file IBMConversion.h.

References fromLocal().

## fromLocal() [14/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | int | from )

inline static

Definition at line 294 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [15/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | Int64 | from )

inline static

Definition at line 304 of file IBMConversion.h.

References casacore::CanonicalConversion::move4(), and casacore::CanonicalConversion::reverse4().

## fromLocal() [16/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | short | from )

inline static

Definition at line 284 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [17/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | uInt64 | from )

inline static

Definition at line 313 of file IBMConversion.h.

References casacore::CanonicalConversion::move4(), and casacore::CanonicalConversion::reverse4().

## fromLocal() [18/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | unsigned char | from )

inline static

Definition at line 279 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [19/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | unsigned int | from )

inline static

Definition at line 299 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## fromLocal() [20/20]

void casacore::IBMConversion::fromLocal | ( | void * | to,
|  | unsigned short | from )

inline static

Definition at line 289 of file IBMConversion.h.

References casacore::CanonicalConversion::fromLocal().

## toLocal() [1/20]

void casacore::IBMConversion::toLocal | ( | char & | to,
|  | const void * | from )

static

Convert one value from IBM format to local format.

The from and to buffer should not overlap.
Note: The char version converts from EBCDIC to ASCII, while the unsigned char version is a simple copy;

Referenced by toLocal(), and toLocal().

## toLocal() [2/20]

void casacore::IBMConversion::toLocal | ( | char * | to,
|  | const void * | from,
|  | size_t | nr )

static

Convert nr values from IBM format to local format.

The from and to buffer should not overlap.
Note: The char version converts from EBCDIC to ASCII, while the unsigned char version is a simple copy;

## toLocal() [3/20]

void casacore::IBMConversion::toLocal | ( | double & | to,
|  | const void * | from )

inline static

Definition at line 243 of file IBMConversion.h.

References toLocal().

## toLocal() [4/20]

void casacore::IBMConversion::toLocal | ( | double * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toLocal() [5/20]

void casacore::IBMConversion::toLocal | ( | float & | to,
|  | const void * | from )

inline static

Definition at line 238 of file IBMConversion.h.

References toLocal().

## toLocal() [6/20]

void casacore::IBMConversion::toLocal | ( | float * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toLocal() [7/20]

void casacore::IBMConversion::toLocal | ( | int & | to,
|  | const void * | from )

inline static

Definition at line 200 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [8/20]

void casacore::IBMConversion::toLocal | ( | int * | to,
|  | const void * | from,
|  | size_t | nr )

inline static

Definition at line 266 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [9/20]

void casacore::IBMConversion::toLocal | ( | Int64 & | to,
|  | const void * | from )

inline static

Definition at line 210 of file IBMConversion.h.

References casacore::CanonicalConversion::move4(), and casacore::CanonicalConversion::reverse4().

## toLocal() [10/20]

void casacore::IBMConversion::toLocal | ( | Int64 * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toLocal() [11/20]

void casacore::IBMConversion::toLocal | ( | short & | to,
|  | const void * | from )

inline static

Definition at line 190 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [12/20]

void casacore::IBMConversion::toLocal | ( | short * | to,
|  | const void * | from,
|  | size_t | nr )

inline static

Definition at line 254 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [13/20]

void casacore::IBMConversion::toLocal | ( | uInt64 & | to,
|  | const void * | from )

inline static

Definition at line 226 of file IBMConversion.h.

References casacore::CanonicalConversion::move4(), and casacore::CanonicalConversion::reverse4().

## toLocal() [14/20]

void casacore::IBMConversion::toLocal | ( | uInt64 * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toLocal() [15/20]

void casacore::IBMConversion::toLocal | ( | unsigned char & | to,
|  | const void * | from )

inline static

Definition at line 185 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [16/20]

void casacore::IBMConversion::toLocal | ( | unsigned char * | to,
|  | const void * | from,
|  | size_t | nr )

inline static

Definition at line 248 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [17/20]

void casacore::IBMConversion::toLocal | ( | unsigned int & | to,
|  | const void * | from )

inline static

Definition at line 205 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [18/20]

void casacore::IBMConversion::toLocal | ( | unsigned int * | to,
|  | const void * | from,
|  | size_t | nr )

inline static

Definition at line 272 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [19/20]

void casacore::IBMConversion::toLocal | ( | unsigned short & | to,
|  | const void * | from )

inline static

Definition at line 195 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

## toLocal() [20/20]

void casacore::IBMConversion::toLocal | ( | unsigned short * | to,
|  | const void * | from,
|  | size_t | nr )

inline static

Definition at line 260 of file IBMConversion.h.

References casacore::CanonicalConversion::toLocal().

The documentation for this class was generated from the following file:

- casa/OS/IBMConversion.h